

Move the XATTR_SECURITY_PREFIX macro to the xattr.h header so that it's
in a common location.

===== fs/devpts/xattr_security.c 1.1 vs edited =====


---

 25-akpm/fs/devpts/xattr_security.c |    2 --
 25-akpm/fs/ext2/xattr_security.c   |    2 --
 25-akpm/fs/ext3/xattr_security.c   |    2 --
 25-akpm/include/linux/xattr.h      |    2 ++
 25-akpm/security/selinux/hooks.c   |    7 +++----
 5 files changed, 5 insertions(+), 10 deletions(-)

diff -puN fs/devpts/xattr_security.c~move-XATTR_SECURITY_PREFIX fs/devpts/xattr_security.c
--- 25/fs/devpts/xattr_security.c~move-XATTR_SECURITY_PREFIX	Fri Jan 16 13:30:23 2004
+++ 25-akpm/fs/devpts/xattr_security.c	Fri Jan 16 13:30:23 2004
@@ -8,8 +8,6 @@
 #include <linux/security.h>
 #include "xattr.h"
 
-#define XATTR_SECURITY_PREFIX "security."
-
 static size_t
 devpts_xattr_security_list(struct dentry *dentry, char *buffer)
 {
diff -puN fs/ext2/xattr_security.c~move-XATTR_SECURITY_PREFIX fs/ext2/xattr_security.c
--- 25/fs/ext2/xattr_security.c~move-XATTR_SECURITY_PREFIX	Fri Jan 16 13:30:23 2004
+++ 25-akpm/fs/ext2/xattr_security.c	Fri Jan 16 13:30:23 2004
@@ -10,8 +10,6 @@
 #include <linux/ext2_fs.h>
 #include "xattr.h"
 
-#define XATTR_SECURITY_PREFIX "security."
-
 static size_t
 ext2_xattr_security_list(char *list, struct inode *inode,
 			const char *name, int name_len)
diff -puN fs/ext3/xattr_security.c~move-XATTR_SECURITY_PREFIX fs/ext3/xattr_security.c
--- 25/fs/ext3/xattr_security.c~move-XATTR_SECURITY_PREFIX	Fri Jan 16 13:30:23 2004
+++ 25-akpm/fs/ext3/xattr_security.c	Fri Jan 16 13:30:23 2004
@@ -11,8 +11,6 @@
 #include <linux/ext3_fs.h>
 #include "xattr.h"
 
-#define XATTR_SECURITY_PREFIX "security."
-
 static size_t
 ext3_xattr_security_list(char *list, struct inode *inode,
 		    const char *name, int name_len)
diff -puN include/linux/xattr.h~move-XATTR_SECURITY_PREFIX include/linux/xattr.h
--- 25/include/linux/xattr.h~move-XATTR_SECURITY_PREFIX	Fri Jan 16 13:30:23 2004
+++ 25-akpm/include/linux/xattr.h	Fri Jan 16 13:30:23 2004
@@ -12,4 +12,6 @@
 #define XATTR_CREATE	0x1	/* set value, fail if attr already exists */
 #define XATTR_REPLACE	0x2	/* set value, fail if attr does not exist */
 
+#define XATTR_SECURITY_PREFIX	"security."
+
 #endif	/* _LINUX_XATTR_H */
diff -puN security/selinux/hooks.c~move-XATTR_SECURITY_PREFIX security/selinux/hooks.c
--- 25/security/selinux/hooks.c~move-XATTR_SECURITY_PREFIX	Fri Jan 16 13:30:23 2004
+++ 25-akpm/security/selinux/hooks.c	Fri Jan 16 13:30:55 2004
@@ -16,10 +16,6 @@
  *      as published by the Free Software Foundation.
  */
 
-#define XATTR_SECURITY_PREFIX "security."
-#define XATTR_SELINUX_SUFFIX "selinux"
-#define XATTR_NAME_SELINUX XATTR_SECURITY_PREFIX XATTR_SELINUX_SUFFIX
-
 #include <linux/config.h>
 #include <linux/module.h>
 #include <linux/init.h>
@@ -65,6 +61,9 @@
 #include "objsec.h"
 #include "netif.h"
 
+#define XATTR_SELINUX_SUFFIX "selinux"
+#define XATTR_NAME_SELINUX XATTR_SECURITY_PREFIX XATTR_SELINUX_SUFFIX
+
 #ifdef CONFIG_SECURITY_SELINUX_DEVELOP
 int selinux_enforcing = 0;
 

_
